Subject: Re: [PATCH 2/3] powerpc: Instrument Hypervisor Calls: add wrappers

From: Mike Kravetz <[email-masked]>
Date: Wed, 14 Jun 2006 16:52:17 -0700

On Wed, Jun 14, 2006 at 05:40:40PM -0500, Nathan Lynch wrote:
> Makes sense... then perhaps the stats shouldn't be exported in per-cpu
> files in sysfs, and the kernel should calculate and report the totals
> to userspace in some other form.

I'm really wondering what would be the best way to make these stats
available to userspace.  As mentioned, putting them into sysfs would
violate the one value/one file rule.  The use of /proc is discouraged.
debugfs was mentioned, but I have never used it.  Noticed that debugfs
was enabled in the default config (at least for pseries).  Looks like
that would be the best alternative.  Agree?

-- 
Mike